package request


type AlibabaWdkItemPriceUpdateRequest struct {
    /*
        盒马门店id     */
    StoreId  *string `json:"store_id" required:"true" `
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        价格，单位是分     */
    SkuPrice  *int64 `json:"sku_price,omitempty" required:"false" `
    /*
        会员价格，单位是分，且不能大于价格     */
    SkuMemberPrice  *int64 `json:"sku_member_price,omitempty" required:"false" `
}

func (s *AlibabaWdkItemPriceUpdateRequest) SetStoreId(v string) *AlibabaWdkItemPriceUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemPriceUpdateRequest) SetSkuCode(v string) *AlibabaWdkItemPriceUpdateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemPriceUpdateRequest) SetSkuPrice(v int64) *AlibabaWdkItemPriceUpdateRequest {
    s.SkuPrice = &v
    return s
}
func (s *AlibabaWdkItemPriceUpdateRequest) SetSkuMemberPrice(v int64) *AlibabaWdkItemPriceUpdateRequest {
    s.SkuMemberPrice = &v
    return s
}

func (req *AlibabaWdkItemPriceUpdateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.SkuPrice != nil) {
        paramMap["sku_price"] = *req.SkuPrice
    }
    if(req.SkuMemberPrice != nil) {
        paramMap["sku_member_price"] = *req.SkuMemberPrice
    }
    return paramMap
}

func (req *AlibabaWdkItemPriceUpdateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}